baz_print_char.h File Reference
`#include <gnuradio/sync_block.h>`
Include dependency graph for baz_print_char.h:

Go to the source code of this file.

## Classes

class | baz_print_char
| square a stream of floats. More...

## Functions

BAZ_API baz_print_char_sptr | baz_make_print_char (float threshold=0.0, int limit=-1, const char *file=NULL, int padding=1, bool fixed_limit=false, bool append=false)
| Return a shared_ptr to a new instance of baz_print_char. More...

## Variables

class BAZ_API | baz_print_char

## Function Documentation

## baz_make_print_char()

BAZ_API baz_print_char_sptr baz_make_print_char | ( | float | threshold = `0.0`,
|  | int | limit = `-1`,
|  | const char * | file = `NULL`,
|  | int | padding = `1`,
|  | bool | fixed_limit = `false`,
|  | bool | append = `false`
| ) |  |

Return a shared_ptr to a new instance of baz_print_char.

To avoid accidental use of raw pointers, baz_print_char's constructor is private. howto_make_square_ff is the public interface for creating new instances.

## Variable Documentation

## baz_print_char

class BAZ_API baz_print_char